Bug 819669 - Listing systems with all environment read_systems permission lists no systems
Listing systems with all environment read_systems permission lists no systems
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 18:41 EDT by Justin Sherrill
Modified: 2014-09-18 11:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:11:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-05-07 18:41:09 EDT
Description of problem:


Steps to Reproduce:
1. Create a new user with no permissions
2. Create a new role with 1 permission for a single org:  "Read Systems in environment"  and select "+ALL" instead of selecting individual environments
3.  assign the role to the newly created user
4. Register one or more systems to an environment in that org
5. list systems from the cli
  
Actual results:
No systems found

Expected results:
All registered systems found


Additional info:

In Systems.rb  we need to change a few lines of code from:

#{User.allowed_tags_sql(KTEnvironment::SYSTEMS_READABLE, :environments, org)})

To #{KTEnvironment.systems_readable(org).select(:id).to_sql}

Within the System.readable  function.
Comment 1 Justin Sherrill 2013-01-22 11:09:33 EST
was fixed in  e8bfbcdba4800efa6f542f0bd41243feeb047bac
Comment 2 Mike McCune 2013-08-16 13:57:07 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 3 Mike McCune 2013-09-19 14:11:00 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.